Bug 1287279 - Enable kernel support for Intel MPX
Enable kernel support for Intel MPX
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-01 16:21 EST by Dave Hansen
Modified: 2016-10-03 11:38 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-03 11:38:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Hansen 2015-12-01 16:21:04 EST
Description of problem:

CONFIG_X86_INTEL_MPX is currently disabled in at least the F23 4.2.6-301.fc23.x86_64 kernel config.  


Version-Release number of selected component (if applicable):

4.2.6-301.fc23.x86_64

How reproducible:

100%


Steps to Reproduce:

cat /boot/config-4.2.6-301.fc23.x86_64 | grep INTEL_MPX

Look for CONFIG_X86_INTEL_MPX=y


Actual results:

$ cat /boot/config-4.2.6-301.fc23.x86_64 | grep INTEL_MPX
# CONFIG_X86_INTEL_MPX is not set

Expected results:

$ cat /boot/config-4.2.6-301.fc23.x86_64 | grep INTEL_MPX
CONFIG_X86_INTEL_MPX=y


Additional info:

Intel(R) Memory Protection Extensions (Intel(R) MPX) is a new capability
introduced into Intel Architecture on Skylake (6th gen Core) processors. Intel MPX provides hardware features that can be used in conjunction with compiler changes to check memory references, for those references whose compile-time normal intentions are usurped at runtime due to buffer overflow or underflow.

The Fedora 23 toolchain (gcc, binutils, etc...) and glibc already have MPX support.  The kernel is the only component currently missing.
Comment 1 Josh Boyer 2015-12-01 17:05:24 EST
Yeah, this seems fine now.  There's a comment in our config hunk about revisiting this when it was possible.  That comment was made almost a year ago when it wasn't possible, so thanks for the reminder.
Comment 2 Laura Abbott 2015-12-01 18:14:03 EST
I turned it on in rawhide. It should be in tomorrow's build.
Comment 3 Dave Hansen 2015-12-01 18:36:21 EST
Wow, very cool!  Thanks for the super-quick response!

Is there any chance of getting it turned on in stock Fedora 23?
Comment 4 Josh Boyer 2015-12-01 19:45:31 EST
I've also enabled it in the branch we're tracking 4.3 in.  F23 will inherit that soon.  Thanks Dave and Laura.
Comment 5 Laura Abbott 2016-09-23 15:44:46 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 6 Dave Hansen 2016-10-03 11:38:12 EDT
This got enabled and works in F23.

Note You need to log in before you can comment on or make changes to this bug.